Skip navigation

iOS 6 and Leopard

14345 Views 9 Replies Latest reply: Nov 20, 2012 8:50 AM by John Galt RSS
lkalliance Level 1 Level 1 (20 points)
Currently Being Moderated
Sep 20, 2012 5:38 PM

Hi, all, embarrassing situation here, looking for some guidance.

 

My girlfriend has an iPhone 4S, which until a short while ago was running 5.1.1. Her desktop OS is Leopard 10.5.8, and she is running iTunes 10.6.0.

 

When she plugged in her iPhone to update to iOS 6 via iTunes, we got a confusing message: iTunes recognized that there was new iOS software, but when she clicked she got a dialog box saying that *iTunes* was completely up to date. So she just downloaded iOS 6 directly to her iPhone via Software Update.

 

Now we're in a bind that we didn't realize would be a bind. iOS 6 requires iTunes 10.7 to sync. But iTunes 10.7 requires OS X 10.6.8, which she doesn't have. We don't wish to upgrade her to Lion or Mountain Lion, due to some legacy PowerPC apps. So now we have a phone that cannot sync with her desktop. She has an iCloud account, but unfortunately was not backing up to the cloud; she was backing up to iTunes. iTunes now does not recognize the phone.

 

Now, *I* have Mountain Lion, and iTunes 10.7.0. When I plug her phone into my computer, it's recognized and I have the opportunity to restore to factory settings. But I would want to know what we're in for. I could back up her settings to my computer, but I don't have her music library or apps. If I restore her phone to factory settings on my computer, then plug it into HER computer, will she be able to restore one of her phone backups that resides there? Will that include the sync settings?

 

Can someone give us some guidance on what to do in this situation? Thanks in advance!

 

 

EDIT: And of course the missing piece of information was that by this chain of thought, iOS 6 isn't compatible with Leopard, or is at best poorly compatible, which is something we should have researched beforehand.

iMac, OS X Mountain Lion (10.8.1), Apr 2008 (model 8,1), 20", 4GB RAM
  • John Galt Level 7 Level 7 (33,080 points)
    Currently Being Moderated
    Sep 20, 2012 6:05 PM (in response to lkalliance)

    Hi lkalliance,

     

    No cause for embarrassment. This is indeed an easy trap to fall into.

     

    You have two potential solutions: As you noted iOS 6 needs iTunes 10.7, and iTunes 10.7 needs Snow Leopard. If your GF's Mac can run Snow Leopard (check the system requirements), you can fix things easily enough by buying it: Call 800-MY-APPLE (in the US) buy the disc and upgrade her Mac to Snow Leopard. Snow Leopard can still run PowerPC apps, so for $29 her problems are over.

     

    The other option which you alluded to is to migrate her iTunes account from her old Mac to your Mountain Lion iMac. That is easily accomplished with Migration Assistant. I recommend you transfer her entire user account from her Leopard Mac to your iMac, which you can then use to sync her iPhone. This will create a second user account on your iMac identical to the one on her old Mac - just be aware that her old PowerPC apps won't work on your iMac.

     

    The first time you sync her iPhone to this new account you will get the dialog "this iPhone is synced with another iTunes Library" asking you what to do next. You will elect the option to "erase and sync", which will do exactly what it says - her phone will be erased, then all her apps and music on this newly migrated account will be synced to her iPhone.

     

    Be sure to read the caution:

     

    Important: Clicking Erase and Sync will delete any existing content currently on your device. The content will be replaced with whatever existing content is in the current iTunes library your device is connected to. If there is no content in the iTunes library, nothing will be synced to your device, and your device will be empty.


    So make absolutely certain her newly migrated iTunes Library contains what she expects.

     

    Does this make sense?

    MacBooks  iMacs  iPods  AirPorts, OS X Mountain Lion,  27 years Apple!
  • John Galt Level 7 Level 7 (33,080 points)
    Currently Being Moderated
    Sep 20, 2012 9:10 PM (in response to lkalliance)

    That's not an option unless you update her computer to Snow Leopard. Once her iPhone is updated to iOS 6, it will require iTunes 10.7 to sync. Hence the "trap" in which you now find yourself ensnared.

    … Would restoring factory condition roll her 4S back to iOS 5?

     

    No. iOS upgrades stick. Restoring to factory condition will retain its existing version of iOS. Apple's servers maintain a record of what version is installed and will not permit you to install an earlier one.

     

    Do not attempt to undo the upgrade; you could break her iPhone.

    MacBooks  iMacs  iPods  AirPorts, OS X Mountain Lion,  27 years Apple!
  • jpcpt03 Calculating status...
    Currently Being Moderated
    Sep 20, 2012 11:26 PM (in response to lkalliance)

    usin ppc G5 10.5.8 with itunes 10.6.3 I have an Iphone 3GS and just upgraded to IOS 6. same problems as everyone else. Itunes dose not recognize Iphone and contact list disapeared.

    solution, don't know why or how this happens but it is now working fine. After 6-10 hrs the contacts just appeared by them selves. Must be a timer of some sort in the upghrade that is doing this. For the problem with Itunes, just reinstall your Itunes (10.6.3 for your PPC), everything seems to work after that.

  • Miguel123 Calculating status...
    Currently Being Moderated
    Oct 6, 2012 8:01 PM (in response to lkalliance)

    I have OS X 10.5.8 and had the same problem.  Software Update tells me I have the latest verison of iTunes when obviously I don't.  Turns out you can go to http://support.apple.com/downloads/ and download the latest version of iTunes there (10.6.3).  Interestingly, the system requirements state you need 10.5.8 or later, so I really don't see why software update won't let us install it!

     

    I'm downloading iOS6 in iTunes as we speak.  Poor show Apple!!

  • pmacdaddy Calculating status...
    Currently Being Moderated
    Nov 20, 2012 4:51 AM (in response to Miguel123)

    I have a similar situation.  I have a G5 with OSX 10.5.8 and iTunes 10.6.3.  I plug my new iPad 4th gen into the USB on the G5 and bring up iTunes.  It says I cannot sync and require iTunes 10.7.which obviously cannot be installed on OS 10.5.8.   Are you saying your solution was to re-download iTunes 10.6.3 and re-install it and that solved your problem?   Everything I have read so far indicates  I'm dead in the water and 10.7 is the only way out, which means a new Mac for me unfortunately.  Why can't Apple release a new version of iTunes that will run on 10.5.8 that solves this issue?

  • Miguel123 Level 1 Level 1 (0 points)
    Currently Being Moderated
    Nov 20, 2012 5:05 AM (in response to pmacdaddy)

    No thats not what I meant.  I have OSX 10.5.8.  By downloading iTunes 10.6.3 from the website above, I was able to upgrade (and sync) my iPhone 4S to iOS6.

     

    The automatic updates on OSX would only let me install a previous version of iTunes. 

     

    No idea about iPad's i'm afraid.

     

    Don't know if your G5 can take it, but I got quoted about $20 AUD for Snow leopard, which then lets me upgrade to the latest OSX through the online store.  Think the latest OSX was about $65 AUD.

  • John Galt Level 7 Level 7 (33,080 points)
    Currently Being Moderated
    Nov 20, 2012 8:50 AM (in response to pmacdaddy)

    pmacdaddy, the latest iPad requires iTunes 10.7, which in turn requires OS X 10.6.8 or later, which in turn requires a Mac with an Intel CPU, which you do not have.

     

    This is essentially what Miguel123 wrote.

     

    Your iPad specs are here: http://www.apple.com/ipad/specs/

Actions

More Like This

  • Retrieving data ...

Bookmarked By (1)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.